> ## Documentation Index
> Fetch the complete documentation index at: https://developers.nlpearl.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Add Leads

> Adds new leads to a specified outbound



## OpenAPI

````yaml post /v2/Outbound/{pearlId}/Leads/Add
openapi: 3.0.1
info:
  title: NLPearl Client API
  description: A sample API that demonstrates features in the OpenAPI specification
  version: v2
servers:
  - url: https://api.nlpearl.ai
    description: Production Environement
security:
  - bearer_auth: []
paths:
  /v2/Outbound/{pearlId}/Leads/Add:
    post:
      tags:
        - Outbound
      summary: Add Leads
      description: Adds new leads to a specified outbound
      parameters:
        - name: pearlId
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              allOf:
                - $ref: '#/components/schemas/LeadsToAddApi'
          text/json:
            schema:
              allOf:
                - $ref: '#/components/schemas/LeadsToAddApi'
          application/*+json:
            schema:
              allOf:
                - $ref: '#/components/schemas/LeadsToAddApi'
      responses:
        '200':
          description: All leads were added successfully.
          content:
            text/plain:
              schema:
                type: boolean
            application/json:
              schema:
                type: boolean
            text/json:
              schema:
                type: boolean
        '400':
          description: >-
            The request is invalid or some leads could not be added. The
            response may contain validation errors or a list of failed leads
            with their associated errors.
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ValidationProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/ValidationProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/ValidationProblemDetails'
components:
  schemas:
    LeadsToAddApi:
      type: object
      properties:
        leads:
          type: array
          items:
            $ref: '#/components/schemas/LeadToAddApi'
          description: "Collection of leads to add to an outbound Pearl.\r\n            \r\nConstraints:\r\n- Max 50,000 leads.\r\n- Each lead must follow the validation rules defined in LeadToAddApi."
          nullable: true
      additionalProperties: false
    ValidationProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
        errors:
          type: object
          additionalProperties:
            type: array
            items:
              type: string
          nullable: true
      additionalProperties: {}
    LeadToAddApi:
      required:
        - phoneNumber
      type: object
      properties:
        phoneNumber:
          minLength: 1
          type: string
          description: The phone number of the lead.
        externalId:
          type: string
          description: An optional external identifier for the lead.
          nullable: true
        timeZoneId:
          type: string
          description: "Optional time zone identifier for the lead.  \r\nIf provided, this will override the default time zone configured at the outbound level.  \r\nBy default, an outbound campaign has a predefined time zone (set during creation or modified later on the platform),  \r\nbut you can assign a specific time zone to a lead by specifying this property.  \r\n\r\nIf not provided, the lead will use the outbound's default time zone.  \r\n\r\nFor valid values, refer to the \"TimeZone\" column in the following list:  \r\n[Time Zone List](https://learn.microsoft.com/en-us/windows-hardware/manufacture/desktop/default-time-zones?view=windows-11) \r\n\r\nExamples: `\"Pacific Standard Time\"`, `\"Türkiye Standard Time\"`"
          nullable: true
        callData:
          type: object
          additionalProperties:
            type: string
          description: "A dictionary containing additional information about the call.\r\nIt is used as variables that you can use in \"Opening Sentence\" or \"Flow Script\" when you create a Pearl on the platform.\r\nThe keys represent the field names, and the values contain the corresponding data.\r\nThis information can be used to personalize the conversation or manage lead-specific details.\r\nThis parameter is optional.\r\n\r\nSee [Variables](/pages/variables) for more information.\r\nHere is an example of the json to send:\r\n\r\n`{ \"email\" : \"joe@gmail.com\", \"address\": \"3 Abbey Road UK\" , \"carLicense\" : \"90-929-82\" }`"
          nullable: true
      additionalProperties: false
  securitySchemes:
    bearer_auth:
      type: http
      description: >-
        Specify the authorization token.


        For more information, check out the [Authorization
        Guide](/api-reference/authorization).
      scheme: bearer

````